libzypp 17.37.10

TriBool.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <boost/logic/tribool.hpp>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | boost
namespace | boost::logic

## Functions
std::string | zypp::asString (const TriBool &val_r, const std::string &istr_r=std::string(), const std::string &tstr_r=std::string(), const std::string &fstr_r=std::string())
bool | zypp::tri2bool (const TriBool &val_r, bool default_r)
| Convert TriBool to bool returning default_r if indeterminate.